import { Feature } from "@rcsb/rcsb-api-tools/build/RcsbGraphQL/Types/Borrego/GqlTypes";
import { RcsbFvDisplayTypes, RcsbFvTrackDataElementInterface } from '@rcsb/rcsb-saguaro';
import { AnnotationConfigInterface, RcsbAnnotationConfigInterface } from "./AnnotationConfigInterface";
export interface RcsbMergedTypesInterface {
    merged_types: Array<string>;
    title: string;
    type: string;
    display: RcsbFvDisplayTypes;
}
export declare class RcsbAnnotationConfig {
    private readonly annotationConfigMap;
    private readonly annotationMap;
    private readonly externalAnnotationsOrder;
    private readonly instanceAnnotationsOrder;
    private readonly entityAnnotationsOrder;
    private readonly mergedTypes;
    private readonly addedTypes;
    constructor(acm?: AnnotationConfigInterface);
    getConfig(type: string): RcsbAnnotationConfigInterface;
    allTypes(): Set<string>;
    uniprotOrder(): Array<string>;
    instanceOrder(): Array<string>;
    entityOrder(): Array<string>;
    buildAndAddType(d: Feature, targetId?: string): string;
    private addNewType;
    sortAndIncludeNewTypes(): void;
    private checkAndIncludeNewType;
    isMergedType(type: string): boolean;
    getMergedType(type: string): string;
    annotationMergedPreference(type: string, a: RcsbFvTrackDataElementInterface, b: RcsbFvTrackDataElementInterface): boolean;
    static randomRgba(str?: string): string;
    addProvenance(type: string, provenanceName: string): void;
    addMultipleProvenance(type: string, provenanceList: Array<string>): void;
    getProvenanceList(type: string): Array<string>;
    isTransformedToNumerical(type: string): boolean;
}
